function storeLocalData() {
  var xmlhttp=new XMLHttpRequest();
  
  xmlhttp.onreadystatechange = function() {
    if(xmlhttp.readyState == 4) {
      var received = xmlhttp.responseText
      var response = JSON.parse(received);
      
      var local_temperature = response.stat[0].val;
      var local_pressure    = response.stat[1].val;
      var local_altitude    = response.stat[2].val;
      
      // overwrite variable with local computed altidude based on sea level pressure in "Gura Portitei"
      local_altitude = Math.round(10 * (44330.0 * (1.0 - Math.pow((parseFloat(local_pressure)/0.0075)/101110.0, 0.1903)))) / 10;
      
      localStorage.local_temperature = local_temperature;
      localStorage.local_pressure    = local_pressure;
      localStorage.local_altitude    = local_altitude;
    }
  }
  
  try {
    xmlhttp.open("GET", "/var/tmp/output", false);
    xmlhttp.send(null);
  }
  catch(err) {
    alert("ERROR: " + err.description);
  }
}

function startRequest() {  
  storeLocalData();
}
