// draw local gauges
function drawLocal() {
  var temperature_local = new RGraph.Thermometer('temperature_local', -30, 100, parseFloat(localStorage.local_temperature));
  temperature_local.Set('chart.colors', ['red']);
  temperature_local.Set('chart.title.side', 'Temperature [C]');
  temperature_local.Set('chart.shadow', false);
  temperature_local.Set('chart.shadow.offsetx', 0);
  temperature_local.Set('chart.shadow.offsety', 0);
  temperature_local.Set('chart.text.color', 'black');
  temperature_local.Set('chart.shadow.blur',   33);
  temperature_local.Set('chart.gutter.left',   33);
  temperature_local.Set('chart.gutter.right',  33);
  temperature_local.Set('chart.gutter.top',    33);
  temperature_local.Set('chart.gutter.bottom', 33);
  temperature_local.Draw();
  
  var pressure_local = new RGraph.Gauge('pressure_local', 700, 800, parseInt(localStorage.local_pressure));
  pressure_local.Set('chart.title.top.size', 12);
  pressure_local.Set('chart.title', 'Pressure');
  pressure_local.Set('chart.title.bottom', '[mmHg]');
  pressure_local.Set('chart.shadow', false);
  pressure_local.Set('chart.title.bottom.size', 10);
  pressure_local.Set('chart.title.bottom.bold', true);
  pressure_local.Set('chart.title.bottom.color', 'blue');
  pressure_local.Set('chart.red.start', 770);
  pressure_local.Set('chart.red.color', 'red');
  pressure_local.Set('chart.yellow.color', 'orange');
  pressure_local.Set('chart.green.end', 750);
  pressure_local.Set('chart.green.color', 'blue');
  pressure_local.Set('chart.shadow.blur',   5);
  pressure_local.Set('chart.gutter.bottom', 5);
  pressure_local.Set('chart.gutter.top',    5);
  pressure_local.Set('chart.gutter.left',   5);
  pressure_local.Set('chart.gutter.right',  5);
  pressure_local.Draw();

  var altimeter = new steelseries.Altimeter('altimeter', {size: 255});
  altimeter.setFrameDesign(steelseries.FrameDesign.STEEL);        
  altimeter.setBackgroundColor(steelseries.BackgroundColor.LIGHT_GRAY);
  altimeter.setLcdColor(steelseries.LcdColor.WHITE);        
  altimeter.setForegroundType(steelseries.ForegroundType.TYPE3);
  altimeter.setValue(parseFloat(localStorage.local_altitude));
}
